﻿Imports Telerik.Web.UI

Partial Class Buildings_Unitmaintenance
    Inherits System.Web.UI.Page




    Protected Sub RadGrid4_ItemCreated(sender As Object, e As Telerik.Web.UI.GridItemEventArgs) Handles RadGrid4.ItemCreated

        If TypeOf (e.Item) Is GridEditFormItem And e.Item.IsInEditMode Then
            Dim editform As GridEditFormItem = DirectCast(e.Item, GridEditFormItem)
            Dim rdcombo As RadComboBox = DirectCast(editform.FindControl("RadComboBox2"), RadComboBox)
            BindComboToDataTable1(rdcombo)
            Dim rdcombo2 As RadComboBox = DirectCast(editform.FindControl("CostCenter_ID_Combo"), RadComboBox)
            BindComboToDataTable2(rdcombo2)
        End If
    End Sub

    Private Sub BindComboToDataTable1(ByVal rdcombo As RadComboBox)
        Dim hsg As String = RadGrid3.SelectedValue.ToString
        rdcombo.Items.Insert(0, New RadComboBoxItem(hsg, CType(hsg, Integer)))
    End Sub
    Private Sub BindComboToDataTable2(ByVal rdcombo As RadComboBox)
        Dim hsg As String = Allclasses.getbuilding_ID_Unit(RadGrid3.SelectedValue).ToString
        rdcombo.Items.Insert(0, New RadComboBoxItem(hsg, CType(hsg, Integer)))
    End Sub

    Protected Sub RadGrid6_InsertCommand(sender As Object, e As Telerik.Web.UI.GridCommandEventArgs) Handles RadGrid6.InsertCommand

        Dim editedItem As GridEditableItem = CType(e.Item, GridEditableItem)
        Dim MyUserControl As UserControl = CType(e.Item.FindControl(GridEditFormItem.EditFormUserControlID), UserControl)

        Dim daction_type As String = CType(MyUserControl.FindControl("RadComboBox3"), RadComboBox).SelectedValue
        Dim dcost As String = CType(MyUserControl.FindControl("RadNumericTextBox1"), RadNumericTextBox).Text
        If daction_type <> "Incomes" And daction_type <> "Credit" And daction_type <> "Opening_fee" Then
            dcost = IIf(CType(dcost, Decimal) < 0, CType(dcost, Decimal), -CType(dcost, Decimal))
        Else
            dcost = IIf(CType(dcost, Decimal) > 0, CType(dcost, Decimal), -CType(dcost, Decimal))
        End If
        SqlDataSource5.InsertParameters.Clear()
        'SqlDataSource1.UpdateParameters.Add("CategoryName", (CType(MyUserControl.FindControl("CategoryNameTextBox"), TextBox).Text))
        SqlDataSource5.InsertParameters.Add("Cost", dcost)
        SqlDataSource5.InsertParameters.Add("Action_type", (CType(MyUserControl.FindControl("RadComboBox3"), RadComboBox).SelectedValue))
        SqlDataSource5.InsertParameters.Add("Action_Details", (CType(MyUserControl.FindControl("Action_DetailsTextBox"), TextBox).Text))
        SqlDataSource5.InsertParameters.Add("Cost_center", (CType(MyUserControl.FindControl("Cost_centerTextBox"), Label).Text))
        SqlDataSource5.InsertParameters.Add("Action_Date", (CType(MyUserControl.FindControl("RadDatePicker1"), RadDatePicker).SelectedDate))
        SqlDataSource5.InsertParameters.Add("Cost_Center_ID", (CType(MyUserControl.FindControl("CostCenter_ID_Combo"), RadComboBox).SelectedValue))
        SqlDataSource5.InsertParameters.Add("SubCost_Center", (CType(MyUserControl.FindControl("RadComboBox2"), RadComboBox).SelectedValue))
        SqlDataSource5.InsertParameters.Add("Action_Subtype", (CType(MyUserControl.FindControl("RadComboBox4"), RadComboBox).SelectedValue))
        'SqlDataSource5.Insert()

        'SqlDataSource1.UpdateParameters.Add("CategoryName", (CType(MyUserControl.FindControl("CategoryNameTextBox"), TextBox).Text))
       
        ' SqlDataSource5.Insert()

    End Sub



    Protected Sub RadGrid6_ItemCreated(sender As Object, e As Telerik.Web.UI.GridItemEventArgs) Handles RadGrid6.ItemCreated
        If TypeOf (e.Item) Is GridEditFormItem And e.Item.IsInEditMode Then
            Dim MyUserControl As UserControl = CType(e.Item.FindControl(GridEditFormItem.EditFormUserControlID), UserControl)

            Dim rdcombo As RadComboBox = DirectCast(MyUserControl.FindControl("RadComboBox2"), RadComboBox)
            ' rdcombo.Text = RadGrid5.SelectedValue.ToString
            BindComboToDataTable3(rdcombo)
            Dim rdcombo2 As RadComboBox = DirectCast(MyUserControl.FindControl("CostCenter_ID_Combo"), RadComboBox)
            BindComboToDataTable4(rdcombo2)
        End If
    End Sub

    Private Sub BindComboToDataTable3(ByVal rdcombo As RadComboBox)
        'Dim hsg As String = Allclasses.Buildingname_ID(RadGrid5.SelectedValue)
        rdcombo.Items.Insert(0, New RadComboBoxItem("", ""))

    End Sub
    Private Sub BindComboToDataTable4(ByVal rdcombo As RadComboBox)
        Dim hsg As String = Allclasses.Buildingname_ID(RadGrid5.SelectedValue)
        rdcombo.Items.Insert(0, New RadComboBoxItem(hsg, RadGrid5.SelectedValue))
    End Sub


    Protected Sub RadGrid6_UpdateCommand(sender As Object, e As Telerik.Web.UI.GridCommandEventArgs) Handles RadGrid6.UpdateCommand

        Dim editedItem As GridEditableItem = CType(e.Item, GridEditableItem)
        Dim MyUserControl As UserControl = CType(e.Item.FindControl(GridEditFormItem.EditFormUserControlID), UserControl)
        SqlDataSource5.UpdateParameters.Clear()

        Dim daction_type As String = CType(MyUserControl.FindControl("RadComboBox3"), RadComboBox).SelectedValue
        Dim dcost As String = CType(MyUserControl.FindControl("RadNumericTextBox1"), RadNumericTextBox).Text
        If daction_type <> "Incomes" And daction_type <> "Credit" And daction_type <> "Opening_fee" Then
            dcost = IIf(CType(dcost, Decimal) < 0, CType(dcost, Decimal), -CType(dcost, Decimal))
        Else
            dcost = IIf(CType(dcost, Decimal) > 0, CType(dcost, Decimal), -CType(dcost, Decimal))
        End If

        'SqlDataSource1.UpdateParameters.Add("CategoryName", (CType(MyUserControl.FindControl("CategoryNameTextBox"), TextBox).Text))
        SqlDataSource5.UpdateParameters.Add("Cost", dcost)
        SqlDataSource5.UpdateParameters.Add("Action_type", (CType(MyUserControl.FindControl("RadComboBox3"), RadComboBox).SelectedValue))
        SqlDataSource5.UpdateParameters.Add("Action_Details", (CType(MyUserControl.FindControl("Action_DetailsTextBox"), TextBox).Text))
        SqlDataSource5.UpdateParameters.Add("Cost_center", (CType(MyUserControl.FindControl("Cost_centerTextBox"), Label).Text))
        SqlDataSource5.UpdateParameters.Add("Action_Date", (CType(MyUserControl.FindControl("RadDatePicker1"), RadDatePicker).SelectedDate))
        SqlDataSource5.UpdateParameters.Add("Cost_Center_ID", (CType(MyUserControl.FindControl("CostCenter_ID_Combo"), RadComboBox).SelectedValue))
        SqlDataSource5.UpdateParameters.Add("SubCost_Center", (CType(MyUserControl.FindControl("RadComboBox2"), RadComboBox).SelectedValue))
        SqlDataSource5.UpdateParameters.Add("pkrep", (CType(MyUserControl.FindControl("pkrepLabel1"), Label).Text))
        SqlDataSource5.UpdateParameters.Add("Action_Subtype", (CType(MyUserControl.FindControl("RadComboBox4"), RadComboBox).SelectedValue))
        SqlDataSource5.Update()
    End Sub


    Protected Sub RadGrid5_DataBound(sender As Object, e As System.EventArgs) Handles RadGrid5.DataBound
        If Session("Expensedirect") <> Nothing Then
            Dim indexfound As Integer = Getindex_datakeyvalue(Session("Expensedirect"))
            RadGrid5.MasterTableView.Items(indexfound).Selected = True
            Session("Expensedirect") = Nothing

        End If
    End Sub
    Private Function Getindex_datakeyvalue(Datakeyvalue As Integer) As Integer
        Dim Valuebdmvb As Integer = 1
        For Each item As GridDataItem In RadGrid5.Items

            Dim QuesId As Integer = RadGrid5.Items(item.ItemIndex).GetDataKeyValue("ID")
            If QuesId = Datakeyvalue Then
                Valuebdmvb = item.ItemIndex
            End If
        Next

        Return Valuebdmvb
    End Function

    'Protected Sub RadNumericTextBox1_TextChanged(sender As Object, e As System.EventArgs)
    '  If DirectCast(RadGrid4.MasterTableView.FindControl("RadNumericTextBox1"), RadNumericTextBox).Text > 0 Then
    '   DirectCast(RadGrid4.MasterTableView.FindControl("RadNumericTextBox1"), RadNumericTextBox).Text = -DirectCast(RadGrid4.MasterTableView.FindControl("RadNumericTextBox1"), RadNumericTextBox).Text
    'End If
    'End Sub
End Class
